---
title: rDWS Advanced Endpoints
slug: develop/rdws-advanced-endpoints
docTags: 
createdAt: 2025-12-16T18:40:31.465Z
---

Base URL for these endpoints:  ***https\://ws.bsn.cloud/rest/v1/***

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## GET /advanced/property-lock/

Returns the [property-lock](docId\:a6Ali6u-szxHuansk6T3-) setting and if the registry has been set to override the property-lock value.

**Request Example**

```text
GET /rest/v1/advanced/property-lock/ HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

The server will return a success or error message. A successful response will include:

- `settingsHandlerEnabled` <font color="#704ae0">bool</font>: Whether the [settings handler](docId\:pz4pkahLR3dsSpr-w1sX9) is enabled&#x20;
- `forceRegistrySettings` <font color="#704ae0">bool</font>: Whether registry settings should take priority
- `registryEnableSettings` <font color="#704ae0">bool</font>: The registry value for enable settings handler
- `bsnce` <font color="#704ae0">bool</font>: Whether BSN.cloud is enabled

**Response Example** 

```json
{
    "data": {
        "result": {
            "settingsHandlerEnabled": true,
            "forceRegistrySettings": false,
            "registryEnableSettings": true,
            "bsnce": true
        }
    }
}
```



## PUT /advanced/property-lock/

Lets users override the current [property-lock](docId\:a6Ali6u-szxHuansk6T3-) setting

**Request Body**

- `forceRegistrySettings` <font color="#704ae0">bool</font>: Whether registry settings should take priority
- `registryEnableSettings` <font color="#704ae0">bool</font>: Registry value for enable settings handler

**Request Example**

```text
PUT /rest/v1/advanced/property-lock/ HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

This is an example of the request body:

```json
{
  "data": {
    "forceRegistrySettings": true,
    "registryEnableSettings": true
  }
}
```

**Response Body**

The server will return a success or error message. A successful response will almost always cause a reboot which will be indicated in the response.

- `result` <font color="#704ae0">object</font>: The response object
  - `success` <font color="#704ae0">bool</font>: Whether or not the operation was successful
  - `reboot` <font color="#704ae0">bool</font>: Whether or not the player is rebooting

**Response Example**

```json
{
    "data": {
        "result": {
            "success": true,
            "reboot": true
        }
    }
}
```

